# Uses of Enum
org.apache.sling.resourceaccesssecurity.ResourceAccessGate.Operation

## Uses of ResourceAccessGate.Operation in org.apache.sling.resourceaccesssecurity

Methods in org.apache.sling.resourceaccesssecurity that return ResourceAccessGate.Operation
Modifier and Type
Method
Description
`static ResourceAccessGate.Operation`
ResourceAccessGate.Operation.`fromString(String opAsString)`
`static ResourceAccessGate.Operation`
ResourceAccessGate.Operation.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ResourceAccessGate.Operation[]`
ResourceAccessGate.Operation.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.